apiVersion: scaffolder.backstage.io/v1beta3
kind: Template
metadata:
  name: test-template
  title: Test Template
  description: A Test Template for Backstage
  tags:
    - test
spec:
  owner: janus-authors
  system: janus-idp
  type: service

  parameters:
    - title: Provide your Login Credentials
      required:
        - username
        - password
      properties:
        username:
          title: Username
          description: This is just a normal text field
          type: string
        password:
          title: Password
          type: string
          description: This should be a masked field since this is sensitive data
          ui:field: Secret
  steps:
    - id: wait
      name: wait 10 seconds
      action: debug:wait
      input:
        seconds: 10
    - id: test-step
      name: test
      action: debug:log
      input:
        message: |
          Hello ${{ parameters.username }}! Your password is ${{ parameters.password }}, the un-redacted password is ${{ secrets.password }}

